%def_disable static
%def_disable debug

%def_with M24

%if_with M24
%define _release alt0.M24.1
%else
%define _release alt1
%endif

%define major 0
%define revision 21
%define minor 0
%define rel %_release

Summary: CinePaint is a tool for manipulating images
Name: cinepaint
Version: %major.%revision.%minor
Release: %rel
License: GPL
Group: Graphics
Source0: %name-%major.%revision-%{minor}_rc1.tar.gz
Source1: cp.16x16.png
Source2: cp.32x32.png
Source3: cp.48x48.png
Patch: cinepaint-0.21-alt-fonts.patch
Url: http://cinepaint.sourceforge.net

Packager: Valery Inozemtsev <shrek@altlinux.ru>

# Automatically added by buildreq on Sat Jul 08 2006
BuildRequires: XFree86-devel XFree86-libs gcc-c++ libjpeg-devel libpng-devel libstdc++-devel libtiff-devel openexr-devel pkgconfig zlib-devel
BuildRequires: python-base python-dev python-modules-encodings 
BuildRequires: glib-devel gtk+-devel
BuildRequires: rpm-build-compat liblcms-devel >= 1.14

Requires: gtk+ libtiff libjpeg zlib libpng
Requires: XFree86-cyr_rfx-fonts-iso8859-5
Requires: lib%name = %version-%release
Obsoletes: filmgimp

%description
Cinepaint (formerly Film Gimp) is a motion picture editing tool
primarily used for painting and retouching of movies. With sixteen
bits per component instead of eight, Film Gimp has much more color
depth capacity than Gimp. Spencer Kimball and Peter Mattis created
Gimp originally, releasing the first version (0.54) in 1995.
Gimp is a widely-used alternative to Adobe Photoshop, a popular tool
for professional image editing. Film Gimp extended Gimp to operate
upon a series of images and in 16-bit linear and floating point color
depths. Film Gimp is currently based upon the HOLLYWOOD 1.0.4 branch
of Gimp.

%package -n lib%name
Summary: CinePaint libraries
Group: System/Libraries
License: GPL
Obsoletes: libfilmgimp

%description -n lib%name
This package contains shared libraries used by CinePaint.

%package -n lib%name-devel
Summary: CinePaint plugin and extension development kit
Group: Development/C
Requires: lib%name = %version-%release
Requires: gtk+-devel
Obsoletes: libfilmgimp-devel

%description -n lib%name-devel
Libraries files for writing CinePaint plugins and extensions.

%package -n lib%name-devel-static
Summary: CinePaint static libraries
Group: Development/C
Requires: lib%name = %version-%release
Requires: gtk+-devel-static
Obsoletes: libfilmgimp-devel-static

%description -n lib%name-devel-static
Static libraries for writing statically linked CinePaint plugins and extensions.

%prep
%setup -q -n %name-%major.%revision-%minor
%patch -p1

%build
%configure --includedir=/usr/include/lcms \
	%{subst_enable static} \
	%{subst_enable debug}
%make

%install
%make_install install DESTDIR=%buildroot includedir=%_includedir

# Menu entry
mkdir -p %buildroot/%_menudir
cat << EOF > %buildroot/%_menudir/%name
?package(%name): needs="x11" \
 section="Multimedia/Graphics" \
 title="CinePaint" \
 longtitle="A tool for manipulating images" \
 command="%name" \
 icon="%name.png"
EOF

%__install -pD -m644 %SOURCE1 %buildroot/%_miconsdir/%name.png
%__install -pD -m644 %SOURCE2 %buildroot/%_iconsdir/%name.png
%__install -pD -m644 %SOURCE3 %buildroot/%_liconsdir/%name.png

%find_lang %name
%find_lang %name-script-fu
%find_lang %name-std-plugins
cat %name-script-fu.lang %name-std-plugins.lang >> %name.lang

%post
%update_menus

%postun
%clean_menus

%post -n lib%name -p %post_ldconfig
%postun -n lib%name -p %postun_ldconfig

%files -f %name.lang
%doc AUTHORS COPYING ChangeLog README
%_bindir/*
%_datadir/%name
%_datadir/aclocal/cinepaint.m4
%_mandir/man1/*
%dir %_libdir/cinepaint/
%dir %_libdir/cinepaint/%major.%revision-%minor/
%_libdir/cinepaint/%major.%revision-%minor/*
%_menudir/%name
%_miconsdir/%name.png
%_iconsdir/%name.png
%_liconsdir/%name.png

%files -n lib%name
%_libdir/*.so.*

%files -n lib%name-devel
%_includedir/%name
%_pkgconfigdir/cinepaint-gtk.pc
%_libdir/*.so

%if_enabled static
%files -n lib%name-devel-static
%_libdir/lib*.a
%endif

%changelog
* Sat Jul 08 2006 Grigory Batalov <bga@altlinux.ru> 0.21.0-alt0.M24.1
- 0.21-0 rc1
- backport to Master 2.4

* Mon Jan 19 2004 Valery Inozemtsev <shrek@altlinux.ru> 0.18.1-alt1
- filmgimp to cinepaint rename
- rename gimp files

* Fri Mar 28 2003 Anatoly Yakushin <jaa@altlinux.ru> 0.16-alt1
- adopted spec for ALT Linux Team

* Tue Mar 04 2003 Giuseppe Ghib <ghibo@mandrakesoft.com> 0.16-1mdk
- initial release.
